Package com.emc.d2fs.services.d2_relation_service

# Class ObjectFactory

java.lang.Object
com.emc.d2fs.services.d2_relation_service.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the com.emc.d2fs.services.d2_relation_service package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.d2_relation_service

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChildIdRequest`
  `createChildIdRequest()`
  Create an instance of `ChildIdRequest`
  `ChildIdResponse`
  `createChildIdResponse()`
  Create an instance of `ChildIdResponse`
  `ChildrenIdRequest`
  `createChildrenIdRequest()`
  Create an instance of `ChildrenIdRequest`
  `ChildrenIdResponse`
  `createChildrenIdResponse()`
  Create an instance of `ChildrenIdResponse`
  `ChildrenRelationRequest`
  `createChildrenRelationRequest()`
  Create an instance of `ChildrenRelationRequest`
  `ChildrenRelationResponse`
  `createChildrenRelationResponse()`
  Create an instance of `ChildrenRelationResponse`
  `CreateRelationRequest`
  `createCreateRelationRequest()`
  Create an instance of `CreateRelationRequest`
  `CreateRelationResponse`
  `createCreateRelationResponse()`
  Create an instance of `CreateRelationResponse`
  `DestroyRelationRequest`
  `createDestroyRelationRequest()`
  Create an instance of `DestroyRelationRequest`
  `DestroyRelationResponse`
  `createDestroyRelationResponse()`
  Create an instance of `DestroyRelationResponse`
  `ParentIdRequest`
  `createParentIdRequest()`
  Create an instance of `ParentIdRequest`
  `ParentIdResponse`
  `createParentIdResponse()`
  Create an instance of `ParentIdResponse`
  `ParentsRelationRequest`
  `createParentsRelationRequest()`
  Create an instance of `ParentsRelationRequest`
  `ParentsRelationResponse`
  `createParentsRelationResponse()`
  Create an instance of `ParentsRelationResponse`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.d2_relation_service

- ## Method Details

  - ### createCreateRelationRequest

    public CreateRelationRequest createCreateRelationRequest()
    Create an instance of `CreateRelationRequest`

  - ### createCreateRelationResponse

    public CreateRelationResponse createCreateRelationResponse()
    Create an instance of `CreateRelationResponse`

  - ### createDestroyRelationRequest

    public DestroyRelationRequest createDestroyRelationRequest()
    Create an instance of `DestroyRelationRequest`

  - ### createDestroyRelationResponse

    public DestroyRelationResponse createDestroyRelationResponse()
    Create an instance of `DestroyRelationResponse`

  - ### createChildIdRequest

    public ChildIdRequest createChildIdRequest()
    Create an instance of `ChildIdRequest`

  - ### createChildIdResponse

    public ChildIdResponse createChildIdResponse()
    Create an instance of `ChildIdResponse`

  - ### createChildrenIdRequest

    public ChildrenIdRequest createChildrenIdRequest()
    Create an instance of `ChildrenIdRequest`

  - ### createChildrenIdResponse

    public ChildrenIdResponse createChildrenIdResponse()
    Create an instance of `ChildrenIdResponse`

  - ### createParentIdRequest

    public ParentIdRequest createParentIdRequest()
    Create an instance of `ParentIdRequest`

  - ### createParentIdResponse

    public ParentIdResponse createParentIdResponse()
    Create an instance of `ParentIdResponse`

  - ### createParentsRelationRequest

    public ParentsRelationRequest createParentsRelationRequest()
    Create an instance of `ParentsRelationRequest`

  - ### createParentsRelationResponse

    public ParentsRelationResponse createParentsRelationResponse()
    Create an instance of `ParentsRelationResponse`

  - ### createChildrenRelationRequest

    public ChildrenRelationRequest createChildrenRelationRequest()
    Create an instance of `ChildrenRelationRequest`

  - ### createChildrenRelationResponse

    public ChildrenRelationResponse createChildrenRelationResponse()
    Create an instance of `ChildrenRelationResponse`